# Detect the distribution in use
%global __despace /usr/bin/head -n 1 | /usr/bin/tr -d '[:space:]' | %{__sed} -e 's/[(].*[)]//g'
%global __lower4 /usr/bin/cut -c 1-4 | /usr/bin/tr '[:upper:]' '[:lower:]'
%global __distfile %([ -f /etc/SuSE-release ] && echo /etc/SuSE-release || echo /etc/redhat-release)
%global __distinit %(%{__sed} -e 's/ release .*//' -e 's/\\([A-Za-z]\\)[^ ]*/\\1/g' %{__distfile} | %{__despace} | %{__lower4})
%global __distvers %(%{__sed} -e 's/.* release \\([^. ]*\\).*/\\1/' %{__distfile} | %{__despace})
# Identify CentOS & White Box as rhel
%if "%{__distinit}" == "c" || "%{__distinit}" == "wbel"
%global __distinit rhel
%endif
# Dist tag for Fedora is still "fc"
%if "%{__distinit}" == "f"
%global __distinit fc
%endif

%{!?perl_vendorlib: %global perl_vendorlib %(eval "`%{__perl} -V:installvendorlib`"; echo $installvendorlib)}
%{!?__id_u: %global __id_u %([ -x /bin/id ]&&echo /bin/id||([ -x /usr/bin/id ]&&echo /usr/bin/id||echo /bin/true)) -u}

Summary:	Check if Makefile.PL has the right pre-requisites
Name:		perl-Test-Prereq
Version:	1.037
Release:	4.%{__distinit}%{__distvers}
License:	GPL+ or Artistic
Group:		Development/Libraries
Url:		http://search.cpan.org/dist/Test-Prereq/
Source0:	http://search.cpan.org/CPAN/authors/id/B/BD/BDFOY/Test-Prereq-%{version}.tar.gz
Source1:	CPAN.conf
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:	noarch
BuildRequires:	perl(CPAN)
BuildRequires:	perl(ExtUtils::MakeMaker)
BuildRequires:	perl(LWP::UserAgent)
BuildRequires:	perl(Module::Build)
BuildRequires:	perl(Module::CoreList)
BuildRequires:	perl(Module::Info)
BuildRequires:	perl(Test::Builder::Tester)
BuildRequires:	perl(Test::Manifest)
BuildRequires:	perl(Test::Pod)
BuildRequires:	perl(Test::Pod::Coverage)
Requires:	perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
Test::Prereq - check if Makefile.PL has the right pre-requisites.

%prep
%setup -q -n Test-Prereq-%{version}

# Set up CPAN
%{__mkdir_p} .cpan/{CPAN,sources,sources/authors,sources/modules}
%{__perl} -p -e 's|BUILDDIR|'$(pwd)'|;' %{SOURCE1} > .cpan/CPAN/MyConfig.pm
if [ -n "$http_proxy" ]; then
	%{__perl} -pi -e "s|HTTP_PROXY|$http_proxy|;" .cpan/CPAN/MyConfig.pm
else
	%{__perl} -pi -e "s|HTTP_PROXY||;" .cpan/CPAN/MyConfig.pm
fi
if [ -n "$ftp_proxy" ]; then
	%{__perl} -pi -e "s|FTP_PROXY|$ftp_proxy|;" .cpan/CPAN/MyConfig.pm
else
	%{__perl} -pi -e "s|FTP_PROXY||;" .cpan/CPAN/MyConfig.pm
fi
if [ -n "$no_proxy" ]; then
	%{__perl} -pi -e "s|NO_PROXY|$no_proxy|;" .cpan/CPAN/MyConfig.pm
else
	%{__perl} -pi -e "s|NO_PROXY||;" .cpan/CPAN/MyConfig.pm
fi

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make} %{?_smp_mflags}

%check
%{__make} FULLPERL="%{__perl} -I$(pwd)/.cpan" test

%clean
%{__rm} -rf %{buildroot}

%install
%{__rm} -rf %{buildroot}
%{__make} pure_install PERL_INSTALL_ROOT=%{buildroot}
/usr/bin/find %{buildroot} -type f -name .packlist -exec %{__rm} -f {} ';'
/usr/bin/find %{buildroot} -depth -type d -exec /bin/rmdir {} ';' 2>/dev/null
%{_fixperms} %{buildroot}

%files
%defattr(-,root,root,-)
%doc Changes LICENSE README
%{perl_vendorlib}/Test/
%{_mandir}/man3/Test::Prereq.3*
%{_mandir}/man3/Test::Prereq::Build.3*

%changelog
* Thu Jun 24 2010 Paul Howarth <paul@city-fan.org> 1.037-4
- Rebuild for perl 5.12.1 in Rawhide

* Fri May 28 2010 Paul Howarth <paul@city-fan.org> 1.037-3
- Fix dist tag for RHEL-6 Beta

* Wed Mar  3 2010 Paul Howarth <paul@city-fan.org> 1.037-2
- Dist tag for Rawhide no longer needs special-casing
- Use %%{_fixperms} macro instead of our own %%{__chmod} incantation
- Buildreq perl(LWP::UserAgent) as preferred download method for CPAN
- Update CPAN.conf to work with current perl(CPAN)

* Mon Jun  1 2009 Paul Howarth <paul@city-fan.org> 1.037-1
- Update to 1.037 (qualify calls to find() so Module::Install doesn't intercept
  them - RT #46335)
- Update to SLES-compatible dist tag macros

* Thu Jan 22 2009 Paul Howarth <paul@city-fan.org> 1.036-1
- Update to 1.036

* Mon Aug  4 2008 Paul Howarth <paul@city-fan.org> 1.034-1
- Update to 1.034
- Clarify license as GPL version 1 or later, or Artistic (i.e. same as perl)
- Tweak dist tag macros to work on current Rawhide with three-part releasenum

* Mon Mar 19 2007 Paul Howarth <paul@city-fan.org> 1.033-1
- Update to 1.033
- Fix dist tag for Fedora 7 onwards
- BuildRequire perl(ExtUtils::MakeMaker)

* Wed Jan 10 2007 Paul Howarth <paul@city-fan.org> 1.032-1
- Update to 1.032
- Fix argument order for find with -depth
- Include LICENSE file
- Add buildreqs perl(Test::Pod) and perl(Test::Pod::Coverage)

* Fri Sep  1 2006 Paul Howarth <paul@city-fan.org> 1.031-2
- Fix distribution tags for development releases
- Provide CPAN config so that get_from_prereqs test doesn't hang
- Add buildreq perl(CPAN)

* Thu May 18 2006 Paul Howarth <paul@city-fan.org> 1.031-1
- Update to 1.031
- Update distribution-detection code
- Define %%{__id_u} in a more portable way

* Fri Jan 13 2006 Paul Howarth <paul@city-fan.org> 1.030-1
- Update to 1.030

* Sat Dec 31 2005 Paul Howarth <paul@city-fan.org> 1.029-1
- Update to 1.029
- Simplify distribution-detection
- Clarify spec by removing __perl_version and __perl_package macros
- Unconditionally remove buildroot in %%clean and %%install
- Don't use macros in build-time command paths, hardcode them instead
- Fix directory ownership
- Use search.cpan.org URLs

* Tue Jul 26 2005 Paul Howarth <paul@city-fan.org> 1.028-1
- Update to 1.028

* Thu Jul  7 2005 Paul Howarth <paul@city-fan.org> 1.027-2
- Rewrite spec file in (mainly) Fedora Extras style
- Include full URL for source
- Fix URL
- Use MODULE_COMPAT dependency style and remove explicit perl dependency
- Remove MANIFEST from %%doc

* Wed Mar  9 2005 Paul Howarth <paul@city-fan.org> 1.027-1
- Update to 1.027
- Update URL

* Wed Oct 27 2004 Paul Howarth <paul@city-fan.org> 1.025-1
- Update to 1.025
- Tidy up spec file
- Add BuildRequires: perl-Test-Manifest to get working set of tests

* Mon May 10 2004 Paul Howarth <paul@city-fan.org> 0.23-1
- Initial build
